| Home | Libraries | People | FAQ | More

## Macro BOOST_PROTO_MAX_LOGICAL_ARITY

BOOST_PROTO_MAX_LOGICAL_ARITY — Controls the maximum number of sub-grammars that `proto::or_<>` and `proto::and_<>` accept.

## Synopsis

    // In header: <boost/proto/proto_fwd.hpp>

    BOOST_PROTO_MAX_LOGICAL_ARITY

## Description

`BOOST_PROTO_MAX_LOGICAL_ARITY` defaults to 8. It may be set higher or lower. Setting it higher will have a negative effect on compile times.